#!/usr/bin/python
"""
make distrodb from apt-rpm pkglist.
"""
import DistroDbMaker
from DistroDbMaker.SrcRPM2DistroDB import SrcRPM2DistroDB

class SrcRepoReader(DistroDbMaker.RepoReader):

    def __init__(self, verbose=0):
        super(SrcRepoReader,self).__init__(verbose)
        self.rpmheader_handler=SrcRPM2DistroDB(verbose)
        # the filelists filenot used - do not read at all
        self.process_repodata_filelists_xml = None

if __name__ == '__main__':
    reader=SrcRepoReader()
    reader.run()
