#!/usr/bin/python
"""
make distrodb from apt-rpm pkglist.
"""
import sys
import re
import DistroDbMaker
from DistroDbMaker.BinRPM2DistroDB import BinRPM2DistroDB

class BinRepoReader(DistroDbMaker.RepoReader):

    def __init__(self, verbose=False):
        super(BinRepoReader,self).__init__(verbose)
        self.rpmheader_handler=BinRPM2DistroDB(verbose)

    def process_args(self, args):
        self.rpmheader_handler.ignore_srpms_in_binary=self.cli_ignore_srpms_in_binary
        super(BinRepoReader,self).process_args(args)

if __name__ == '__main__':
    reader=BinRepoReader()
    reader.run()

